Panduan pembalasan.id
Agent Bots

List all AgentBots

GET
/platform/api/v1/agent_bots

List all agent bots available

Authorization

platformAppApiKey
api_access_token<token>

This token can be obtained by the system admin after creating a platformApp. This token should be used to provision agent bots, accounts, users and their roles.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/platform/api/v1/agent_bots"
[
  {
    "id": 0,
    "name": "string",
    "description": "string",
    "thumbnail": "string",
    "outgoing_url": "string",
    "bot_type": "string",
    "bot_config": {},
    "account_id": 0,
    "access_token": "string",
    "system_bot": true
  }
]
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}